Incompatible ETS2 & ATS Versions

SCS has released version 1.50 for Euro Truck Simulator 2 & American Truck Simulator

We do not support these updates yet on TruckersMP, but fortunately it is possible to downgrade to 1.49!

For information on downgrading your game, please click here

Event Description

Location Other (TBD)
Destination Other (TBD)
Main Language English
Communication https://discord.gg/auroravtc
Link https://auroravtc.com/

DLCs Requirements


Event Information


Attending (18)

User
0perator
2 months ago
User
berechtigter
2 months ago
User
SarahQT
3 months ago
User
RaKyiTaa
3 months ago
User
Changas!
4 months ago
User
HerrDosenbier
4 months ago
User
Koi*
4 months ago
User
DF-4I
4 months ago
User
Trygve.
5 months ago
User
3ASEM
6 months ago
User
Jordan.
6 months ago
User
Cevil
6 months ago
User
FourP.
7 months ago
User
maurice1503
7 months ago
User
AURORA & CHENXING
7 months ago
User
Antzz
7 months ago
User
[GER] rl1000
7 months ago
User
sunwinbus
7 months ago

Unsure (0)